Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 657924 - Feature request: Mechanism to keep package sets on multiple systems in sync
Summary: Feature request: Mechanism to keep package sets on multiple systems in sync
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 14
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-28 18:31 UTC by Joshua Rosen
Modified: 2014-01-21 23:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:37:56 UTC
Type: ---


Attachments (Terms of Use)

Description Joshua Rosen 2010-11-28 18:31:16 UTC
Description of problem: There is no simple way of keeping the installed package sets of multiple machines in sync. Ideally it should possible to compare yum databases on different systems and then do the necessary installs to make the installed package sets identical.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 James Antill 2010-11-29 16:35:26 UTC
yum version

...this will give you a short id which you can compare between machines.

yum-debug-dump and yum-debug-restore will help you move between package sets.

There's no GUI for it, as with many yum features alas., but is there anything else you want?

Comment 2 Joshua Rosen 2010-11-29 17:07:23 UTC
Thanks that's what I was looking for. BTW it would be nice if there was a man page for yum-debug-restore, yum-debug-dump has a man page but it's pretty minimal.

This solution will meet my needs when I setup new systems, however the general problem of keeping multiple systems in sync could use a better mechanism. There ought to be a way to maintain a master yum package list server that's accessed by daemons on all of the client systems. When a package is added or removed from the master list the client systems would automatically install or remove the package.

Comment 3 seth vidal 2010-11-29 18:42:49 UTC
there's a package called func which has a utility to work with it called func-yum which is probably where to start for this kind of functionality.

Comment 4 Fedora End Of Life 2012-08-16 20:37:59 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.